package cn.com.qmth.examcloud.commons.helpers.concurrency.simple;

import java.util.concurrent.atomic.AtomicInteger;

import cn.com.qmth.examcloud.commons.logging.ExamCloudLog;
import cn.com.qmth.examcloud.commons.logging.ExamCloudLogFactory;

public class WorkerController {

	private static final ExamCloudLog LOG = ExamCloudLogFactory.getLog(WorkerController.class);

	private AtomicInteger warnCount = new AtomicInteger(0);

	public void addConcurrencyWarn() {
		LOG.info("warn count ++");
		this.warnCount.incrementAndGet();
	}

	public int getWarnCount() {
		return this.warnCount.get();
	}

	public void resetWarnCount() {
		warnCount.set(0);
	}

}
